<?php
/**
 * @package WordPress
 * @subpackage multi-color
 */
?>
<div id="comments">
    <?php if ( post_password_required() ) : ?>
        <p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.','multi-color' ); ?></p>    
</div>
<?php return; endif; ?>
<h3 class="comments-title"><?php comments_number(__('No Comments','multi-color'), __('1 Comment','multi-color'), __("% Comments",'multi-color') );?></h3>
<?php if(have_comments()) : ?>
    <ul class="commentslist"><?php wp_list_comments('type=all&callback=multicolor_comment'); ?></ul>
    <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
    <div class="commentnavigation">
        <?php previous_comments_link( __( '<div id="nav-previous" class="meta-nav">&laquo;Older Comments</div>','multi-color' ) ); ?>
        <?php next_comments_link( __( '<div id="nav-next" class="meta-nav">Newer Comments&raquo;</div>','multi-color' ) ); ?>
        <div class="clear"></div>
    </div>
    <?php endif; ?>
<?php else:
    if ( ! comments_open() ) :
?>
        <p class="nocomments"><?php _e( 'Comments are closed.','multi-color' ); ?></p>
    <?php endif; ?>
<?php endif; ?>
</div>
<?php

$fields =  array(
    'author' => '<p class="comment-form-author">' . '<label for="author">' . __( 'Name','multi-color' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
                '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
    'email'  => '<p class="comment-form-email"><label for="email">' . __( 'Email','multi-color' ) . '</label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
                '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
    'url'    => '<p class="comment-form-url"><label for="url">' . __( 'Website','multi-color' ) . '</label>' .
                '<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>',
);

$defaults = array(
    'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
    'comment_field'        => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
    'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.','multi-color' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
    'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>','multi-color' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
    'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.','multi-color' ) . ( $req ? $required_text : '' ) . '</p>',
    'comment_notes_after'  => '',
    'id_form'              => 'commentform',
    'title_reply'          => __('Leave a reply','multi-color'),
    'title_reply_to'       => '',
    'id_submit'            => 'submit',
    'cancel_reply_link'    => __( 'Cancel reply','multi-color' ),
    'label_submit'         => __( 'Post Comment','multi-color' )
);

comment_form($defaults);
?>